glibmm 2.41.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

New API in glibmm 2.30

Member Gio::Action::change_state (const Glib::VariantBase& value)
Member Gio::Action::change_state_variant (const Glib::VariantBase& value)
  Parameters

    value | The new state.

Member Gio::APPLICATION_NON_UNIQUE
Member Gio::DataInputStream::read_line_finish_utf8 (const Glib::RefPtr< AsyncResult >& result, std::string& data, gsize& length)
  Parameters

    result | The AsyncResult that was provided to the callback.
    length | A #gsize to get the length of the data read in.

  Returns
    A string with the line that was read in (without the newlines). Set length to a #gsize to get the length of the read line. On an error, it will return `0` and error will be set. For UTF-8 conversion errors, the set error domain is CONVERT_ERROR. If there's no content to read, it will still return `0`, but error won't be set.
Member Gio::DataInputStream::read_line_utf8 (std::string& line, const Glib::RefPtr< Cancellable >& cancellable, gsize& length)
  Parameters

    length | A #gsize to get the length of the data read in.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A NUL terminated UTF-8 string with the line that was read in (without the newlines). Set length to a #gsize to get the length of the read line. On an error, it will return `0` and error will be set. For UTF-8 conversion errors, the set error domain is CONVERT_ERROR. If there's no content to read, it will still return `0`, but error won't be set.
Member Gio::DBus::Connection::call_sync (const Glib::ustring& object_path, const Glib::ustring& interface_name, const Glib::ustring& method_name, const Glib::VariantContainerBase& parameters, const Glib::RefPtr< Cancellable >& cancellable, const Glib::RefPtr< UnixFDList >& fd_list, Glib::RefPtr< UnixFDList >& out_fd_list, const Glib::ustring& bus_name=Glib::ustring(), int timeout_msec=-1, CallFlags flags=Gio::DBus::CALL_FLAGS_NONE, const Glib::VariantType& reply_type=Glib::VariantType())
  Parameters

    bus_name | A unique or well-known bus name or `0` if connection is not a message bus connection.
    object_path | Path of remote object.
    interface_name | D-Bus interface to invoke method on.
    method_name | The name of the method to invoke.
    parameters | A Variant tuple with parameters for the method or `0` if not passing parameters.
    reply_type | The expected type of the reply, or `0`.
    flags | Flags from the DBusCallFlags enumeration.
    timeout_msec | The timeout in milliseconds, -1 to use the default timeout or MAXINT for no timeout.
    fd_list | A UnixFDList or `0`.
    out_fd_list | Return location for a UnixFDList or `0`.
    cancellable | A Cancellable or `0`.

  Returns
    `0` if error is set. Otherwise a Variant tuple with return values. Free with Glib::variant_unref().
Member Gio::DBus::Interface::get_info ()
  Returns
    A DBusInterfaceInfo. Do not free.
Member Gio::DBus::Interface::get_info () const
  Returns
    A DBusInterfaceInfo. Do not free.
Member Gio::DBus::Interface::get_object ()
  Returns
    A DBusObject or `0`. The returned reference belongs to interface and should not be freed.
Member Gio::DBus::Interface::get_object () const
  Returns
    A DBusObject or `0`. The returned reference belongs to interface and should not be freed.
Member Gio::DBus::Interface::set_object (const Glib::RefPtr< Gio::DBus::Object >& object)
  Parameters

    object | A DBusObject or `0`.

Member Gio::DBus::InterfaceSkeleton::export_interface_skeleton (const Glib::RefPtr< Connection >& connection, const Glib::ustring& object_path)
  Parameters

    connection | A DBusConnection to export interface on.
    object_path | The path to export the interface at.

  Returns
    `true` if the interface was exported on connection, otherwise `false` with error set.
Member Gio::DBus::InterfaceSkeleton::flush ()
Member Gio::DBus::InterfaceSkeleton::get_connection ()
  Returns
    A DBusConnection or `0` if interface is not exported anywhere. Do not free, the object belongs to interface.
Member Gio::DBus::InterfaceSkeleton::get_connection () const
  Returns
    A DBusConnection or `0` if interface is not exported anywhere. Do not free, the object belongs to interface.
Member Gio::DBus::InterfaceSkeleton::get_flags () const
  Returns
    One or more flags from the DBusInterfaceSkeletonFlags enumeration.
Member Gio::DBus::InterfaceSkeleton::get_info ()
  Returns
    A DBusInterfaceInfo (never `0`). Do not free.
Member Gio::DBus::InterfaceSkeleton::get_info () const
  Returns
    A DBusInterfaceInfo (never `0`). Do not free.
Member Gio::DBus::InterfaceSkeleton::get_object_path () const
  Returns
    A string owned by interface or `0` if interface is not exported anywhere. Do not free, the string belongs to interface.
Member Gio::DBus::InterfaceSkeleton::get_properties () const
  Returns
    A Variant of type ['a{sv}'][G-VARIANT-TYPE-VARDICT:CAPS]. Free with Glib::variant_unref().
Member Gio::DBus::InterfaceSkeleton::set_flags (InterfaceSkeletonFlags flags)
  Parameters

    flags | Flags from the DBusInterfaceSkeletonFlags enumeration.

Member Gio::DBus::InterfaceSkeleton::signal_authorize_method ()
  Parameters

    invocation | A DBusMethodInvocation.

  Returns
    `true` if the call is authorized, `false` otherwise.
Member Gio::DBus::InterfaceSkeleton::unexport ()
Member Gio::DBus::MethodInvocation::return_value (const Glib::VariantContainerBase& parameters, const Glib::RefPtr< UnixFDList >& fd_list)
  Parameters

    parameters | A Variant tuple with out parameters for the method or `0` if not passing any parameters.
    fd_list | A UnixFDList or `0`.

Member Gio::DBus::Object::get_interface (const Glib::ustring& interface_name)
  Parameters

    interface_name | A D-Bus interface name.

  Returns
    `0` if not found, otherwise a DBusInterface that must be freed with Glib::object_unref().
Member Gio::DBus::Object::get_interface (const Glib::ustring& interface_name) const
  Parameters

    interface_name | A D-Bus interface name.

  Returns
    `0` if not found, otherwise a DBusInterface that must be freed with Glib::object_unref().
Member Gio::DBus::Object::get_interfaces ()
  Returns
    A list of DBusInterface instances. The returned list must be freed by Glib::list_free() after each element has been freed with Glib::object_unref().
Member Gio::DBus::Object::get_interfaces () const
  Returns
    A list of DBusInterface instances. The returned list must be freed by Glib::list_free() after each element has been freed with Glib::object_unref().
Member Gio::DBus::Object::get_object_path () const
  Returns
    A string owned by object. Do not free.
Member Gio::DBus::Object::signal_interface_added ()
  Parameters

    interface | The DBusInterface that was added.

Member Gio::DBus::Object::signal_interface_removed ()
  Parameters

    interface | The DBusInterface that was removed.

Member Gio::DBus::Proxy::call_sync (const Glib::ustring& method_name, const Glib::VariantContainerBase& parameters, const Glib::RefPtr< Cancellable >& cancellable, const Glib::RefPtr< UnixFDList >& fd_list, Glib::RefPtr< UnixFDList >& out_fd_list, int timeout_msec=-1, CallFlags flags=Gio::DBus::CALL_FLAGS_NONE)
  Parameters

    method_name | Name of method to invoke.
    parameters | A Variant tuple with parameters for the signal or `0` if not passing parameters.
    flags | Flags from the DBusCallFlags enumeration.
    timeout_msec | The timeout in milliseconds (with MAXINT meaning "infinite") or -1 to use the proxy default timeout.
    fd_list | A UnixFDList or `0`.
    out_fd_list | Return location for a UnixFDList or `0`.
    cancellable | A Cancellable or `0`.

  Returns
    `0` if error is set. Otherwise a Variant tuple with return values. Free with Glib::variant_unref().
Member Gio::DesktopAppInfo::get_nodisplay () const
Member Gio::DesktopAppInfo::get_show_in (const std::string& desktop_env) const
Member Gio::InetAddress::address_equal (const Glib::RefPtr< const InetAddress >& other_address) const
  Parameters

    other_address | Another InetAddress.

  Returns
    `true` if address and other_address are equal, `false` otherwise.
Member Gio::Settings::get_uint (const Glib::ustring& key) const
Member Gio::Settings::set_uiint (const Glib::ustring& key, guint value)
Member Gio::SimpleAction::set_state (const Glib::VariantBase& value)
  Parameters

    value | The new Variant for the state.

Member Gio::SimpleAction::signal_change_state ()
  Parameters

    value | The requested value for the state.

Member Gio::TlsConnection::get_database ()
Member Gio::TlsConnection::get_database () const
Member Gio::TlsConnection::get_interaction ()
Member Gio::TlsConnection::get_interaction () const
Member Gio::TlsConnection::set_database (const Glib::RefPtr< TlsDatabase >& database)
Member Gio::TlsConnection::set_interaction (const Glib::RefPtr< TlsInteraction >& interaction)
Member Gio::TlsDatabase::create_certificate_handle (const Glib::RefPtr< const TlsCertificate >& certificate) const
  Parameters

    certificate | Certificate for which to create a handle.

  Returns
    A newly allocated string containing the handle.
Member Gio::TlsDatabase::lookup_certificate_for_handle (const Glib::ustring& handle, const Glib::RefPtr< TlsInteraction >& interaction, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseLookupFlags flags=TLS_DATABASE_LOOKUP_NONE)
  Parameters

    handle | A certificate handle.
    interaction | Used to interact with the user if necessary.
    flags | Flags which affect the lookup.
    cancellable | A Cancellable, or `0`.

  Returns
    A newly allocated TlsCertificate, or `0`. Use Glib::object_unref() to release the certificate.
Member Gio::TlsDatabase::lookup_certificate_for_handle (const Glib::ustring& handle, const Glib::RefPtr< TlsInteraction >& interaction, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseLookupFlags flags=TLS_DATABASE_LOOKUP_NONE) const
  Parameters

    handle | A certificate handle.
    interaction | Used to interact with the user if necessary.
    flags | Flags which affect the lookup.
    cancellable | A Cancellable, or `0`.

  Returns
    A newly allocated TlsCertificate, or `0`. Use Glib::object_unref() to release the certificate.
Member Gio::TlsDatabase::lookup_certificate_for_handle_async (const Glib::ustring& handle, const Glib::RefPtr< TlsInteraction >& interaction, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseLookupFlags flags=TLS_DATABASE_LOOKUP_NONE)
  Parameters

    handle | A certificate handle.
    interaction | Used to interact with the user if necessary.
    flags | Flags which affect the lookup.
    cancellable | A Cancellable, or `0`.
    slot | Callback to call when the operation completes.

Member Gio::TlsDatabase::lookup_certificate_for_handle_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    A newly allocated TlsCertificate object. Use Glib::object_unref() to release the certificate.
Member Gio::TlsDatabase::lookup_certificate_issuer (const Glib::RefPtr< const TlsCertificate >& certificate, const Glib::RefPtr< TlsInteraction >& interaction, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseLookupFlags flags=TLS_DATABASE_LOOKUP_NONE) const
  Parameters

    certificate | A TlsCertificate.
    interaction | Used to interact with the user if necessary.
    flags | Flags which affect the lookup operation.
    cancellable | A Cancellable, or `0`.

  Returns
    A newly allocated issuer TlsCertificate, or `0`. Use Glib::object_unref() to release the certificate.
Member Gio::TlsDatabase::lookup_certificate_issuer (const Glib::RefPtr< const TlsCertificate >& certificate, const Glib::RefPtr< TlsInteraction >& interaction, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseLookupFlags flags=TLS_DATABASE_LOOKUP_NONE)
  Parameters

    certificate | A TlsCertificate.
    interaction | Used to interact with the user if necessary.
    flags | Flags which affect the lookup operation.
    cancellable | A Cancellable, or `0`.

  Returns
    A newly allocated issuer TlsCertificate, or `0`. Use Glib::object_unref() to release the certificate.
Member Gio::TlsDatabase::lookup_certificate_issuer_async (const Glib::RefPtr< const TlsCertificate >& certificate, const Glib::RefPtr< TlsInteraction >& interaction, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseLookupFlags flags=TLS_DATABASE_LOOKUP_NONE)
  Parameters

    certificate | A TlsCertificate.
    interaction | Used to interact with the user if necessary.
    flags | Flags which affect the lookup operation.
    cancellable | A Cancellable, or `0`.
    slot | Callback to call when the operation completes.

Member Gio::TlsDatabase::lookup_certificate_issuer_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    A newly allocated issuer TlsCertificate, or `0`. Use Glib::object_unref() to release the certificate.
Member Gio::TlsDatabase::lookup_certificates_issued_by (const Glib::RefPtr< Glib::ByteArray >& issuer_raw_dn, const Glib::RefPtr< TlsInteraction >& interaction, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseLookupFlags flags=Gio::TLS_DATABASE_LOOKUP_NONE) const
  Parameters

    issuer_raw_dn | A ByteArray which holds the DER encoded issuer DN.
    interaction | Used to interact with the user if necessary.
    flags | Flags which affect the lookup operation.
    cancellable | A Cancellable, or `0`.

  Returns
    A newly allocated list of TlsCertificate objects. Use Glib::object_unref() on each certificate, and Glib::list_free() on the release the list.
Member Gio::TlsDatabase::lookup_certificates_issued_by (const Glib::RefPtr< Glib::ByteArray >& issuer_raw_dn, const Glib::RefPtr< TlsInteraction >& interaction, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseLookupFlags flags=Gio::TLS_DATABASE_LOOKUP_NONE)
  Parameters

    issuer_raw_dn | A ByteArray which holds the DER encoded issuer DN.
    interaction | Used to interact with the user if necessary.
    flags | Flags which affect the lookup operation.
    cancellable | A Cancellable, or `0`.

  Returns
    A newly allocated list of TlsCertificate objects. Use Glib::object_unref() on each certificate, and Glib::list_free() on the release the list.
Member Gio::TlsDatabase::lookup_certificates_issued_by_async (const Glib::RefPtr< Glib::ByteArray >& issuer_raw_dn, const Glib::RefPtr< TlsInteraction >& interaction, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseLookupFlags flags=Gio::TLS_DATABASE_LOOKUP_NONE)
  Parameters

    issuer_raw_dn | A ByteArray which holds the DER encoded issuer DN.
    interaction | Used to interact with the user if necessary.
    flags | Flags which affect the lookup operation.
    cancellable | A Cancellable, or `0`.
    slot | Callback to call when the operation completes.

Member Gio::TlsDatabase::lookup_certificates_issued_by_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    A newly allocated list of TlsCertificate objects. Use Glib::object_unref() on each certificate, and Glib::list_free() on the release the list.
Member Gio::TlsDatabase::verify_chain (const Glib::RefPtr< TlsCertificate >& chain, const Glib::ustring& purpose, const Glib::RefPtr< const SocketConnectable >& identity, const Glib::RefPtr< TlsInteraction >& interaction, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseVerifyFlags flags=TLS_DATABASE_VERIFY_NONE) const
  Parameters

    chain | A TlsCertificate chain.
    purpose | The purpose that this certificate chain will be used for.
    identity | The expected peer identity.
    interaction | Used to interact with the user if necessary.
    flags | Additional verify flags.
    cancellable | A Cancellable, or `0`.

  Returns
    The appropriate TlsCertificateFlags which represents the result of verification.
Member Gio::TlsDatabase::verify_chain_async (const Glib::RefPtr< TlsCertificate >& chain, const Glib::ustring& purpose, const Glib::RefPtr< const SocketConnectable >& identity, const Glib::RefPtr< TlsInteraction >& interaction, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, TlsDatabaseVerifyFlags flags=TLS_DATABASE_VERIFY_NONE) const
  Parameters

    chain | A TlsCertificate chain.
    purpose | The purpose that this certificate chain will be used for.
    identity | The expected peer identity.
    interaction | Used to interact with the user if necessary.
    flags | Additional verify flags.
    cancellable | A Cancellable, or `0`.
    slot | Callback to call when the operation completes.

Member Gio::TlsDatabase::verify_chain_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    The appropriate TlsCertificateFlags which represents the result of verification.
Member Gio::TlsInteraction::ask_password (const Glib::RefPtr< TlsPassword >& password, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    password | A TlsPassword object.
    cancellable | An optional Cancellable cancellation object.

  Returns
    The status of the ask password interaction.
Member Gio::TlsInteraction::ask_password_async (const Glib::RefPtr< TlsPassword >& password, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    password | A TlsPassword object.
    cancellable | An optional Cancellable cancellation object.
    slot | Will be called when the interaction completes.

Member Gio::TlsInteraction::ask_password_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | The result passed to the callback.

  Returns
    The status of the ask password interaction.
Member Gio::TlsInteraction::invoke_ask_password (const Glib::RefPtr< TlsPassword >& password, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    password | A TlsPassword object.
    cancellable | An optional Cancellable cancellation object.

  Returns
    The status of the ask password interaction.
Member Gio::TlsPassword::get_description () const
  Returns
    The description of the password.
Member Gio::TlsPassword::get_flags () const
  Returns
    The flags about the password.
Member Gio::TlsPassword::get_value (gsize& length) const
  Parameters

    length | Location to place the length of the password.

  Returns
    The password value (owned by the password object).
Member Gio::TlsPassword::get_warning () const
  Returns
    The warning.
Member Gio::TlsPassword::set_description (const Glib::ustring& description)
  Parameters

    description | The description of the password.

Member Gio::TlsPassword::set_flags (TlsPasswordFlags flags)
  Parameters

    flags | The flags about the password.

Member Gio::TlsPassword::set_value (const guchar* value, gssize length=-1)
  Parameters

    value | The new password value.
    length | The length of the password, or -1.

Member Gio::TlsPassword::set_warning (const Glib::ustring& warning)
  Parameters

    warning | The user readable warning.

Class Glib::DateTime
Class Glib::TimeZone